
local Healcsi = Healcsi

-- Healcsi:FormatMem(val, dec)
-- Healcsi:MemoryCheck()
-- Healcsi:GetMemoryUsageString()

local UpdateAddOnMemoryUsage = UpdateAddOnMemoryUsage
local GetAddOnMemoryUsage    = GetAddOnMemoryUsage
local sformat                 = string.format


function Healcsi:FormatMem(val, dec)
	return sformat(sformat("%%.%df %s", dec or 1, val > 1024 and "MB" or "KB"), val/(val > 1024 and 1024 or 1))
end

function Healcsi:MemoryCheck()
	UpdateAddOnMemoryUsage()
	self:Print("Memory Usage: " .. self:FormatMem(GetAddOnMemoryUsage("Healcsi"), 2))
end

function Healcsi:GetMemoryUsageString()
	UpdateAddOnMemoryUsage()
	return self:FormatMem(GetAddOnMemoryUsage("Healcsi"), 2)
end


