
local Healcsi = Healcsi

--Return rounded number
function Healcsi:Round(num, idp)
	if(idp and idp > 0) then
		local mult = 10 ^ idp
		return math.floor(num * mult + 0.5) / mult
	end
	return math.floor(num + 0.5)
end

--Truncate a number off to n places
function Healcsi:Truncate(v, decimals)
	return v - (v % (0.1 ^ (decimals or 0)))
end


function Healcsi:Map(x, inMin, inMax, outMin, outMax)
	-- inspiried by Arduino's map function. (Arduino is a microcontroller based programmable electronic device)
	-- it's used for shieldBar and absorbBar size calculations.
	return (x-inMin) * (outMax-outMin) / (inMax-inMin) + outMin
end