local L = LibStub("AceLocale-3.0"):NewLocale("Healcsi", "enUS", true)

L["Greeting"] = "Healcsi has been loaded! Enjoy ;) Type /healcsi for options."

L["Yes"] = "Yes"
L["No"] = "No"

L["Okay"] = "Okay"
L["Close"] = "Close"
L["Cancel"] = "Cancel"

L["ProfileDesc"] = "You can change the active profile, so you can have different settings for every character.\n"
L["ProfileResetDesc"] = "Reset the current profile back to it's default values, in case your configuration is broken, or you simply want to start over.\n"
L["ResetProfile"] = "Reset Profile"
L["CurrentProfile"] = "Current Profile: "
L["ProfileChoose"] = "You can either create a new profile by entering a name in the editbox, or choose one of the already existing profiles.\n"
L["NewProfile"] = "New:"
L["DefaultProfile"] = "Default"
L["ExitingProfiles"] = "Existing Profiles:"
L["ProfileCopyDesc"] = "\nCopy the settings from one existing profile to the currently active profile.\n"
L["CopyProfile"] = "Copy from:"
L["Copied"] = "Copied"
L["ProfileDeleteDesc"] = "\nDelete existing and unused profiles from the addon to save space, and cleanup the configuration file.\n"
L["DeleteProfile"] = "Delete a Profile:"
L["Deleted"] = "Deleted"
L["EnableSpecProfiles"] = "Enable special profiles"
L["SpecProfilesDesc"] = "When enabled, your profile will be set to the specified profile when you change specialization."

L["General"] = "General"

L["lockPositionCB"] = "Lock position"
L["showWhenNotGroupedCB"] = "Show when not grouped"
L["showWhenInPartyCB"] = "Show when in a party"
L["showPartyPetsCB"] = "Show party pets"
L["showWhenInRaidCB"] = "Show when in a raid"
L["showRaidPetsCB"] = "Show raid pets"
L["showFriendlyNPCCB"] = "Show friendly NPC"
L["alignHorizontallyCB"] = "Horizontally align groups"
L["keepRaidGroupsTogetherCB"] = "Keep raid group together"



L["Container"] = "Container"
L["Solo"] = "Solo"
L["Party"] = "Party"
L["Raid"] = "Raid"
L["Friendly"] = "Friendly NPC"

L["showContainerToolButtonsCB"] = "Show tool buttons on top"
L["showContainerBackgroundCB"] = "Show background"

L["ContainerBackground"] = "Container background"
L["EnableBgToActivate"] = "Check the 'Show background' checkbox to activate these settings"

L["TileSize"] = "Tile size"
L["BorderThickness"] = "Border thickness"
L["BackgroundInsetDesc"] = "Inset controls how far into the frame the background will be drawn (use higher values the thicker the edges are)"
L["CommonInset"] = "Use one inset value for each side (top, right, bottom, left)"
L["OneInset"] = "Inset"
L["LeftInset"] = "Left inset"
L["TopInset"] = "Top inset"
L["RightInset"] = "Right inset"
L["BottomInset"] = "Bottom inset"
L["Scale"] = "Scale"
L["MarginSize"] = "Margin size"
L["BackgroundTex"] = "Background texture"
L["BackgroundColor"] = "Background color"
L["BorderTex"] = "Border texture"
L["BorderColor"] = "Border color"
L["BgTexMode"] = "Background texture mode"

L["RaidSortMethod"] = "Raid group sorting mode"

L["Dimensions"] = "Dimensions"

L["UnitWidth"] = "Unit width"
L["UnitHeight"] = "Unit height"
L["Spacing"] = "Spacing"
L["PowerHeight"] = "Power height (mana, rage, focus, ...)"
L["PetPowerHeight"] = "Pet power height"

L["Background"] = "Background"
L["Health"] = "Health"
L["ColorMode"] = "Color mode"
L["FixHealthColor"] = "Fix health color"
L["Alpha"] = "Alpha"
L["Brightness"] = "Brightness"
L["HealthTex"] = "Health texture"

L["OfflineHealthColor"] = "Offline color"
L["InVehicleHealthColor"] = "InVehicle color"
L["PetHealthColor"] = "Pet color"

L["EnableHealthBgToActivate"] = "Check the 'Show underlay' checkbox to activate these settings"

L["Underlay"] = "Underlay"
L["ShowUnderlay"] = "Show underlay"
L["UnderlayDesc"] = "Underlay settings define the 'missing health' texture and color stuff"

L["DamageAbsorb"] = "Damage absorb"
L["ShowDmgAbsorbBar"] = "Show damage absorb bar"
L["DmgAbsorbTex"] = "Damage absorb texture"
L["FixDmgAbsorbColor"] = "Fix health color"

L["ColorShadeMode"] = "Color shade mode"

L["Red"] = "Red"
L["Green"] = "Green"
L["Blue"] = "Blue"

L["Hue"]        = "Hue"
L["Saturation"] = "Saturation"
L["Lightness"]  = "Lightness"

L["ShowDmgBorderLeft"]   = "Show 'border' texture on the left side of the shield box"
L["ShowDmgBorderRight"]  = "Show 'border' texture on the right side of the shield box"
L["ShowDmgBorderTop"]    = "Show 'border' texture on the top side of the shield box"
L["ShowDmgBorderBottom"] = "Show 'border' texture on the bottom side of the shield box"

L["Left"]  = "Left"
L["Right"]  = "Right"
L["Top"]  = "Top"
L["Bottom"]  = "Bottom"

L["Size"] = "Size"
L["Zoom"] = "Zoom"
L["IncomingHeal"] = "Incoming heal"
L["HealAbsorb"] = "Heal absorb"
L["NameText"] = "Name text"
L["TextAnchor"] = "Text anchor"

L["OffsetX"] = "Offset x"
L["OffsetY"] = "Offset y"
L["FontSize"] = "Font size"
L["FontType"] = "Font type"
L["FontOutline"] = "Font outline"

L["FixColor"] = "Fix color"

L["OfflineFixColor"] = "Offline color"
L["HostileFixColor"] = "Hostile color"
L["FriendlyFixColor"] = "Friendly color"
L["NeutralFixColor"] = "Neutral color"
L["DeadFixColor"] = "Dead color"

L["Outrange"] = "Outrange"
L["OutrangeOpacity"] = "Outrange opacity"

L["Tooltip"] = "Tooltip"
L["TooltipShowMode"] = "Show tooltips"
L["TooltipPosMode"] = "Tooltip position"

L["Power"] = "Power"
L["PowerUnderlayDesc"] = "Underlay settings define the 'missing power' texture and color stuff"

L["LengthLimit"] = "Length limit"
L["TextShadow"] = "Text shadow"

L["ShadowOffsetX"] = "Shadow offset x"
L["ShadowOffsetY"] = "Shadow offset y"

L["HealthText"] = "Health text"

L["HealtTextMode"] = "Mode"
L["HealtTextDisplay"] = "Display"
L["HealtTextValue"] = "Value"

L["ShowHealtText"] = "Show healt text"

L["Threat"] = "Threat"
L["ThreatTex"] = "Threat texture"

L["UseDefaultAggroColor"] = "Use default aggro colors"

L["AggroOvernukingColor"] = "Overnuking color"
L["AggroLosingColor"] = "Threat losing color"
L["AggroTankingColor"] = "Tanking color"

L["AggroOvernukingAlpha"] = "Overnuking alpha"
L["AggroLosingAlpha"] = "Threat losing alpha"
L["AggroTankingAlpha"] = "Tanking alpha"

L["Selection"] = "Selection"
L["SelectionTex"] = "Texture of selected button"
L["SelectionColor"] = "Color of selected button"

L["StatusText"] = "Status text"

L["Icons"] = "Icons"

L["ShowPrivilegeIcon"]  = "Show privilege icon"
L["ShowRoleIcon"]       = "Show role icon"
L["ShowRaidTargetIcon"] = "Show raid target icon"

L["PrivilegeIcon"]  = "Privilege icon"
L["RoleIcon"]       = "Role icon"
L["RaidTargetIcon"] = "Raid target icon"
L["BgFlagIcon"]     = "Flag icon (for example: dead -> skull, Mage -> cauterize, Priest -> spirit of redemption, DK -> purgatory, ...)"
L["RessIcon"]       = "Ressurrect icon"

L["HighLight"] = "Highlight"
L["HighLightColor"] = "Highlight color"

L["IncHealTex"] = "Incoming heal texture"
L["IncHealColor2Absorb"] = "Incoming heal bar settings on heal absorb"

L["HealOnAbsorbTex"] = "Incoming heal texture on absorb bar"

L["ReadyCheckIcon"] = "Ready check icon"

L["ShowPrivilegeLeaderIcon"]      = "Show leader icon"
L["ShowPrivilegeLootIcon"]        = "Show master looter icon"
L["ShowPrivilegeMainTankIcon"]    = "Show main tank icon"
L["ShowPrivilegeMainAssistIcon"]  = "Show main assist icon"
L["ShowPrivilegeAssistIcon"]      = "Show assist icon"

L["direct"] = "Direct "

L["ClickMode"] = "Click mode"

L["Buffs"] = "Buffs"
L["ShowBuffs"] = "Show buffs"
L["BuffsSize"] = "Size of buff icons"

L["Debuffs"] = "Debuffs"
L["ShowDebuffs"] = "Show debuffs"
L["DebuffsSize"] = "Size of debuff icons"

L["Dispels"] = "Dispels"
L["DispelsSize"] = "Size of dispel icons"

L["Anchor"] = "Anchor"
L["Grow"] = "Grow"
L["Demo"] = "Demo"

L["RemainigTime"] = "Remaining time"
L["StackCount"] = "Stack count"

L["BuffCount"] = "Number of 'boxes' to show"

L["AvailableSizeHint"] = "Available width & height determines the amount of area the buff/debuff can use on top of the healbar"

L["AvailableWidth"] = "Available width %"
L["AvailableHeight"] = "Availableh height %"

L["ShowFriendlyNPC"] = "Show friendly NPC"

L["Enable"] = "Enable"

L["Version"] = "Version:"
L["Instance"] = "Instance:"
L["Boss"] = "Boss:"

L["DebuffList"] = "Raid/party debuff list"
L["Prio"] = "Priority"

L["ShowOnlyDispellable"] = "Show only dispellable debuffs"

L["GeneralToolBoxTooltip"] = "General options for unit frames."
L["RefreshFrames"] = "Refresh frames"

L["WorldMarks"] = "World marks"
L["WorldMarksToolBoxTooltip"] = "Place/remove world marks."

L["RaidTargetsToolBoxTooltip"] = "Assign/remove raid target icons to current target unit."

L["SubGroupsToolBoxTooltip"] = "Manipulate sub-groups in a raid."

L["GroupSwap"] = "Enable group changing"

L["GroupSwapPrompt"] = "Drag a unit frame onto another unit frame or another group tp change it's group. Press ESC to quit group changing."
L["GroupSwapNotify"] = "New feature: |cff00ff00Group Changing|r\nClick the \"Raid\"tool button below, choose \"Enable group changing\" (requires leader or assist privilege)."

L["CannotChangeGroupsInCombat"] = "Cannot change groups in combat"

L["ToolBox"] = "Tool box"

L["showToolboxShow"] = "Enable"

L["hideBlizzPartyFrames"] = "Hide Blizz Party Frames"

L["hideBlizzRaidFrames"] = "Hide Blizz Raid Frames. REQUIRES RELOAD TO TAKE EFFECT!"

L["ExtraBuffs"] = "Extra buffs"

L["Class"] = "Class"

L["ShowDispels"] = "Show dispels"
L["Width"] = "Width"
L["Flash"] = "Flash"