﻿------------------------------------------------------------
-- HellfireCitadel.lua
--
-- Abin
-- 2015/7/04
------------------------------------------------------------

local Healcsi       = Healcsi
local UnitAuras     = Healcsi.Modules.UnitAuras

if (not(UnitAuras)) then return end

local TIER = 6 -- The Warlords of Draenor
local INSTANCE = 669 -- Hellfire Citadel
local BOSS

-- Hellfire Assault
BOSS = 1426
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184243)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 187052)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180079, 1)

-- Iron Reaver
BOSS = 1425
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 187172)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179889)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182523)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182280, 5)

-- Kormrok
BOSS = 1392
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181321)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 187112, 4)

-- Hellfire High Council
BOSS = 1432
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184449, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184355)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184847, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 154992)

-- Kilrogg Deadeye
BOSS = 1396
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184817, 1)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180313)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180200)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180389, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180224)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180718)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185563)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 187089)

-- Gorefiend
BOSS = 1372
--UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181295)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179864)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179977, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179907)


-- Shadow-Lord Iskar
BOSS = 1433
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182325)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185510)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181824)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179219)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185747)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181753, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185239, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185752, 5)
--UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179202, 5) -- Fuck, it's a buff!

-- Socrethar the Eternal
BOSS = 1427
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182038)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180415)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 190776)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184124, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184239)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182900)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182992, 5)

-- Fel Lord Zakuun
BOSS = 1391
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182008)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 179711, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181501, 5)

-- Xhul'horac
BOSS = 1447
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186134)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186135)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186073)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186063)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186448)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186490)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 188208)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186333)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186785)

-- Tyrant Velhari
BOSS = 1394
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 185241)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180164, 5)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180000, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 180526, 5)

-- Mannoroth
BOSS = 1395
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181275)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181116)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181099)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184252)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181359)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181597, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186350)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 181841)

-- Archimonde
BOSS = 1438
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182826)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 183828)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 183864)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 184931)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 186123)
UnitAuras:RegisterDebuff(TIER, INSTANCE, BOSS, 182879, 5)

-- Common
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 190735)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 188189)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 188282, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 188287)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 178064)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 187130, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 176670, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 187819)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 189533)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 189551, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 182601, 4)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 188484)
UnitAuras:RegisterDebuff(TIER, INSTANCE, 0, 186197)
