local Healcsi    = Healcsi
local Console    = Healcsi.Console
local Media      = Healcsi.Media
local Gui        = Healcsi.Gui
local L          = Healcsi.Locale
local Modules    = Healcsi.Modules

Modules.ClickCast = {
	name = "Click Cast",
	id = 3,
	key = "ClickCast",
	initDone = false,

	defaults = {
		selectedTab = "left",
		spells = {
			PRIEST = {
				2050, -- Heal
				2061, -- Flash Heal
				2060, -- Greater Heal
				139, -- Renew
				17, -- Power Word: Shield
				62618, -- Power Word: Barrier
				32546, -- Binding Heal
				596, -- Prayer of Healing
				34861, -- Circle of Healing
				33076, -- Prayer of Mending
				2006, -- Resurrection
				527, -- Dispel Magic
				528, -- Cure Disease
				47540, -- Penance
				47788, -- Guardian Spirit
				1706, -- Levitate
				73325, --Leap of Faith
				33206, -- Pain Suppression
				10060, -- Power Infusion
				213634, -- Purify Disease
				186263, -- Shadow Mend
				200829, -- Plea
				194509, -- Power Word: Radiance
				212036, -- Mass Resurrection
			},

			DRUID = {
				5185, -- Healing Touch
				774, -- Rejuvenation
				8936, -- Regrowth
				33763, -- Lifebloom
				48438, -- Wild Growth
				18562, -- Swiftmend
				50769, -- Revive
				2782, -- Remove Corruption
				88423, -- Nature's Curse
				20484, -- Rebirth
				29166, -- Innervate
				467, -- Thorns
				212040, -- Revitalize
				102342, -- Ironbark
			},

			SHAMAN = {
				77472, -- Greater Healing Wave
				8004, -- Healing Surge
				1064, -- Chain Heal
				61295, -- Riptide
				2008, -- Ancestral Spirit
				51886, -- Cleanse Spirit
				546, -- Water Walking
				73685, -- Unleash Life
				212048, -- Ancestral Vision
				77130, -- Purify Spirit
			},

			PALADIN = {
				19750, -- Flash of Light
				82326, -- Divine Light,
				20473, -- Holy Shock
				633, -- Lay on Hands
				53563, -- Beacon of Light
				4987, -- Cleanse
				213644, -- Cleanse Toxins
				7328, -- Redemption
				1044, -- Hand of Freedom
				1022, -- Hand of Protection
				6940, -- Hand of Sacrifice
				212056, -- Absolution
				85222, -- Light of Dawn
				156910 -- Beacon of Faith
			},

			WARRIOR = {
				114030, -- Vigilance
				3411, -- Intervene
				198304, -- Intercept
			},

			MAGE = {
				130, -- Slow Fall
			},

			WARLOCK = {
				20707, -- Soul Stone
				5697, -- Unending Breath
			},

			HUNTER = {
				34477, -- Misdirection
			},

			ROGUE = {
				57934, -- Tricks of the Trade
				36554, -- Shadow Step
			},

			DEATHKNIGHT = {
				61999, -- Raise Ally
			},

			MONK = {
				115178, -- Resuscitate
				218164, -- Detox
				115175, -- Soothing Mist
				115151, -- Renewing Mist
				116694, -- Surging Mist
				124081, -- Zen Sphere
				124682, -- Enveloping Mist
				116849, -- Life Cocoon
				212051, -- Reawaken
				115450, -- Detox
			},

			DEMONHUNTER = {
			}
		},
		clickSet = {
			PRIEST       = {},
			DRUID        = {},
			SHAMAN       = {},
			PALADIN      = {},
			WARRIOR      = {},
			MAGE         = {},
			WARLOCK      = {},
			HUNTER       = {},
			ROGUE        = {},
			DEATHKNIGHT  = {},
			MONK         = {},
			DEMONHUNTER  = {}
		},
		clickDownMode = "AnyDown" -- AnyDown, AnyUp
		-- , ...
	}
}

--[[
Required method:

function ClickCast:Initialize()
	...
	self.initDone = true
end

of which must set the UnitFrames.initDone variable to true when it's finished successfully.


Required method for config:

function ClickCast:CreateEditor()
	CreateFrame
	...
	frame:addChild(xy)
	...
	frame:AddChildren(f1, f2, f3)
	...
	return frame
end

]]
